<?php




namespace ln\jobs;

use app\common\repositories\store\product\SpuRepository;
use ln\interfaces\JobInterface;
use think\facade\Log;

class ChangeSpuStatusJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            $make = app()->make(SpuRepository::class);
            if(!is_array($data['id']) && is_numeric($data['id'])){
                $make->changeStatus($data['id'],$data['product_type']);
            }
            $job->delete();
        }catch (\Exception $exception){
            Log::info($exception->getMessage());
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
